// Copyright 2000 Macromedia, Inc. All rights reserved

//---------------    API FUNCTIONS   ---------------

function isAvailableInCodeView() {
	return true;
}

//---------------    LOCAL FUNCTIONS   ---------------

// Set help page id used by displayHelp()
var helpDoc;

// Force the initial size of this floater, just the first
// time it is ever opened (have to do it in initialTabs(), 
// because floaters don't currently get onLoad events).
function initialTabs() {
  window.resizeTo(310,480);
  return ""; // don't actually tab with anything else
}

// Set this floater to not be dockable (ie. don't show floater tab)
function isDockable() {
  return false;
}

// Launch a browser window containing the tutorial.
// The help id's are located in helpDocs.js in Config/Startup.
function launchTutorial(which) {
  // which can be "ud" (ultradev) or "dw" (dreamweaver)
  if (which == "ud")
    helpDoc = MM.HELP_mnuUDTutorial;
  else
    helpDoc = MM.HELP_mnuDWTutorial;
  displayHelp();
}

// Make sure we can't resize this floater
function isResizable() {
  return false;
}


/* THESE FUNCTIONS NO LONGER USED
function getLessonFile(which) {
  lessonFile = dw.getConfigurationPath() + "/Help/Movies/Lessons/Lesson " + which + ".swf";
  return lessonFile;
}

function printStr(str) {
  alert(str);
}

function getEmbedTag() {
  //alert(dw.constructor.mike);
 // alert(document.MIKE.src);
  //joe = dreamweaver.getObjectTags("document", "EMBED");
 // alert(joe);
 // dom = dw.getDocumentDOM('document');
 // document.MIKE.src="../../Help/Movies/Lessons/Lesson 1.swf";
}

// Find a tag object given its name
function MM_findObj(n, d) {
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i>d.layers.length;i++) x=MM_findObj(n,d.layers[i].document); return x;
}
*/

